<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>
<script>
  $(document).ready(function(){
    $("#btn-submit-data").on("click", function(){
      onBtnSubmitClick();
    })

    $("#btn-clear-log").on("click", function(){
      onBtnClearClick();
    })
  })
  function onBtnClearClick(){
    var vDivLog = $("#p-html-log")
    vDivLog.empty();
  }

  function onBtnSubmitClick(){
    var vOjb = {
      firstName: "",
      lastName: "",
      age: "",
    }
    readData(vOjb)
    console.log(vOjb)
    var isCheck = validataData(vOjb)
    if(isCheck){
      showData(vOjb)
    }
    
  }

  function readData(paramOjb){
    paramOjb.firstName = $("#inp-first-name").val();
    paramOjb.lastName = $("#inp-last-name").val();
    paramOjb.age = $("#inp-age").val();

  }
  function validataData(paramOjb){
    if(paramOjb.firstName == ""){
      console.log("Phải nhập FirstName")
      return false
    }
    if(paramOjb.lastName == ""){
      console.log("Phải nhập LastName")
      return false
    }
    if(paramOjb.age == ""){
      console.log("Phải nhập Age")
      return false
    }
    
    if(!(paramOjb.age > 0 && paramOjb.age < 200)){
      console.log("Tuổi nhập không hợp lệ")
      return false
    }
    return true
  }
  function showData(paramOjb){
    var vShow = $("#p-html-log")
    vShow.html("First name: " + paramOjb.firstName + "<br>")
    vShow.append("Last name: " + paramOjb.lastName + "<br>")
    vShow.append("Age: " + paramOjb.age + "<br>")


  }
</script>
<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info"> Clear HTML Log </button>
    </div>
    <p id="p-html-log"></p>
  </div>
</body>

</html>